Subject: bug#54950: Connecting to remote guix daemon with encrypted SSH key fails

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 16 Jun 2022 10:01:37 -0400

Hello Arun,

Arun Isaac <[email-masked]> writes:

> So, with an ssh-agent, guix build on a remote daemon works. But, I'd
> like it to work without an ssh-agent. Is that possible?

I've re-read the original issue and now I have a better understanding of
it; the manual mentions GUIX_DAEMON_SOCKET is handled via the Guile-SSH
library.  I'm curious as to how SSH clients typically trigger 'pinentry'
to prompt; perhaps Guile-SSH is lacking some feature here.

I hope someone in the know can tip in!  In the meantime, you've already
found a workaround (the use of an SSH agent).

Thanks,

Maxim